Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 781766 - Review Request: stardict-dictionaries-lt - Lithuanian dictionaries for StarDict
Summary: Review Request: stardict-dictionaries-lt - Lithuanian dictionaries for StarDict
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-01-14 22:50 UTC by Aurimas Černius
Modified: 2015-10-20 20:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-20 20:12:49 UTC


Attachments (Terms of Use)

Comment 1 Tom "spot" Callaway 2012-06-12 13:20:30 UTC
Why is this at version 3.0.2? There isn't very much to this package, but the upstream versioning seems to be at 0.7.

A few notes:

* The "%stardict_dic_dir" should be a %global, instead of a %define.

* I strongly recommend that you get in the habit of using the "%{foo}" syntax, instead of the "%foo" syntax, as that more clearly indicates macros in use, especially in combination with other strings.

* Assuming that 0.7 is the actual version here, you should replace the "0.7" string in the Source0 and Source1 definitions with %{version}.

* When I examined the upstream source tarballs, I noticed that they were GPL+, not LGPL. You should be sure to correct the License tag. I was going to say that you should try to build these dictionaries fromn the upstream source files, but I can't figure out how to actually do that, and it does not seem as if any of the other stardict dictionaries do it either.

====
Please show me an updated spec file which incorporates the changes I mention above, and I will finish this review.

This is a very simple package, so I'm somewhat hesitant to sponsor you on just this package. Do you have any other packages for review that I can look at?

Comment 2 Tom "spot" Callaway 2012-06-12 13:21:41 UTC
Oh, also, the naming convention for stardict dictionary packages in Fedora is "stardict-dic-$LANG", so please rename this package to stardict-dic-lt.

Comment 4 Miroslav Suchý 2015-07-21 13:25:26 UTC
Ping?
Any progress here?
Aurimas: are you still interrested in this package?
Tom: can you finish this review or reassign it back to nobody?

Comment 5 Michael Schwendt 2015-10-20 10:17:55 UTC
Since bug 733925 comment 7 (2012-12-16 16:09:32 EST)

  | I'm afraid I don't have enough time for this,
  | so I think I better spend my time contributing where I do now.

I think (almost) everybody understood that as applying also to this package review request.

Comment 6 Miroslav Suchý 2015-10-20 20:12:49 UTC
OK. Closing.


Note You need to log in before you can comment on or make changes to this bug.